require 'clamp'
require 'tempfile'
require 'shellwords'

module Gisha

  class ReceiveCommand < Clamp::Command
    parameter 'KEY_ID', 'id to identify the key'

    def execute
      Commands::Receive.new(key_id).exec
    end
  end


  class DeployCommand < Clamp::Command
    parameter 'URL', 'url to deploy'
    parameter 'KEY_ID', 'id to identify the key'
    parameter 'PATH', 'repository path'
    parameter 'REVISION', 'repository path'

    def execute
      Commands::Deploy.new(url, key_id, path, revision).exec
    end
  end

  class CLI < Clamp::Command
    subcommand 'receive', 'receive what is pushed into the repository', ReceiveCommand
    subcommand 'deploy', 'deploy to spass', DeployCommand
  end

end
